db.define_table('t_kpi',
      Field('f_product_flexibility', type='float', #Flexibiltity
          label=T('Product flexibility')),
      Field('f_setup_ratio', type='float', #Flexibiltity
          label=T('Setup ratio')),
      Field('f_application_handling_mobility', type='float', #Mobility
          label=T('Application handling mobility')),
      Field('f_on_time_delivery', type='float', #Mobility
          label=T('On time delivery')),
      Field('f_space_productivity', type='float', #Mobility
          label=T('Space productivity')),
      Field('f_effectiveness', type='float', #Productivity
          label=T('Effectiveness')),
      Field('f_throughput_ratio', type='float', #Productivity
          label=T('Throughput ratio')),
      Field('f_worker_efficiency', type='float', #Productivity
          label=T('Worker efficiency')),
      Field('f_first_pass_yield', type='float', #Quality
          label=T('First pass yield')),
      Field('f_quality_ratio', type='float', #Quality
          label=T('Quality ratio')),
      Field('f_rework_ratio', type='float', #Quality
          label=T('Rework ratio')),
      Field('f_scrap_ratio', type='float', #Quality
          label=T('Scrap ratio')),
      Field('f_accident_ratio', type='float', #Safety
          label=T('Accident ratio')),
      Field('f_mean_time_between_failures', type='float', #Safety
          label=T('Mean Time between Failures Ratio')),
      Field('f_mean_time_to_repair', type='float', #Safety
          label=T('Mean Time to repair Ratio')),
      Field('f_compressed_air_consumption_ratio', type='float', #Sustainability
          label=T('Compressed Air Consumption ratio')),
      Field('f_electric_power_consumption_ratio', type='float', #Sustainability
          label=T('Electric Power Consumption ratio')),
      Field('f_gas_consumption_ratio', type='float', #Sustainability
          label=T('Gas Consumption ratio')),
      Field('f_water_consumption_ratio', type='float', #Sustainability
          label=T('Water Consumption ratio')),
      Field('f_carbon_weight', type='float', #Sustainability
          label=T('Carbon weight')),
      Field('f_allocation_efficiency', type='float',
          label=T('Allocation efficiency')),
      Field('f_availability', type='float',
          label=T('Availability')),
      Field('f_technical_efficiency', type='float',
          label=T('Technical efficiency')),
      Field('f_utilization_efficiency', type='float',
          label=T('Utilization efficiency')),
      format='%(f_product_flexibility)s',
      migrate=settings.migrate)
